#include <bits/stdc++.h>

using namespace std;
const int maxn=(int)2e5+1;
int br[maxn];
int a[maxn],b[maxn];
int ida1[maxn],ida2[maxn];
int idb1[maxn],idb2[maxn];
int n;
vector<int> q1;
vector<int> q2;
vector<int> w1;
vector<int> w2;
int main()
{
    scanf("%d",&n);
    for(int i=1;i<=n;i++)
    {
        br[i]=i;
        scanf("%d%d",&a[i],&b[i]);
    }
    for(int i=1;i<=n;i++)
    {
        for(int j=1;j<=n;j++)
        {
            if(br[i]==a[j] && ida2[j]==0) {ida2[j]=1;ida1[i]=1;break;}
        }
    }

    for(int i=1;i<=n;i++)
    {
        for(int j=1;j<=n;j++)
        {
            if(br[i]==b[j] && idb2[j]==0) {idb2[j]=1;idb1[i]=1;break;}
        }
    }
    long long int sol=0;
    for(int i=1;i<=n;i++)
    {
        if(!ida1[i]) q1.push_back(i);
        if(!ida2[i]) q2.push_back(a[i]);
        if(!idb1[i]) w1.push_back(i);
        if(!idb2[i]) w2.push_back(b[i]);
    }
    for(int i=0;i<q1.size();i++)
    {
        sol+=abs(q1[i]-q2[i]);
    }

     for(int i=0;i<w1.size();i++)
    {
          sol+=abs(w1[i]-w2[i]);

    }


    printf("%lld",sol);

    return 0;
}